org.modeshape.jcr

## Class ExecutionContext.ContextFactories

- java.lang.Object
- - org.modeshape.jcr.ExecutionContext.ContextFactories

- All Implemented Interfaces:
    Iterable<ValueFactory<?>>, NameFactory.Holder, ValueFactories
  Enclosing class:
    ExecutionContext

      protected final class ExecutionContext.ContextFactories
      extends Object
      implements ValueFactories

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `ExecutionContext.ContextFactories.ValueFactoryIterator`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ExecutionContext.ContextFactories()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryFactory` | `getBinaryFactory()` Get the value factory for `binary` properties.
    `ValueFactory<Boolean>` | `getBooleanFactory()` Get the value factory for `boolean` properties.
    `DateTimeFactory` | `getDateFactory()` Get the value factory for `date` properties.
    `ValueFactory<BigDecimal>` | `getDecimalFactory()` Get the value factory for `decimal` properties.
    `ValueFactory<Double>` | `getDoubleFactory()` Get the value factory for `double` properties.
    `ValueFactory<Long>` | `getLongFactory()` Get the value factory for `long` properties.
    `NameFactory` | `getNameFactory()` Get the value factory for `name` properties.
    `NamespaceRegistry` | `getNamespaceRegistry()`
    `ValueFactory<Object>` | `getObjectFactory()` Get the value factory for `object` properties.
    `PathFactory` | `getPathFactory()` Get the value factory for `path` properties.
    `ReferenceFactory` | `getReferenceFactory()` Get the value factory for `reference` properties.
    `ReferenceFactory` | `getSimpleReferenceFactory()` Get the value factory for `reference` properties.
    `StringFactory` | `getStringFactory()` Get the value factory for `string` properties.
    `TypeSystem` | `getTypeSystem()` Get the type system associated with these factories.
    `UriFactory` | `getUriFactory()` Get the value factory for `URI` properties.
    `UuidFactory` | `getUuidFactory()` Get the value factory for `UUID` properties.
    `ValueFactory<?>` | `getValueFactory(Object prototype)` Get the value factory that is best able to create values with the most natural type given by the supplied value.
    `ValueFactory<?>` | `getValueFactory(PropertyType type)` Get the value factory that creates values of the supplied `type`.
    `ReferenceFactory` | `getWeakReferenceFactory()` Get the value factory for `reference` properties.
    `Iterator<ValueFactory<?>>` | `iterator()` This implementation always iterates over the instances return by the `get*Factory()` methods.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionContext.ContextFactories

          protected ExecutionContext.ContextFactories()

  - ### Method Detail

    - #### getTypeSystem

          public TypeSystem getTypeSystem()

      Description copied from interface: `ValueFactories`
      Get the type system associated with these factories.
      Specified by:
        `getTypeSystem` in interface `ValueFactories`
      Returns:
        the type system; never null

    - #### getNamespaceRegistry

          public NamespaceRegistry getNamespaceRegistry()

      Returns:
        namespaceRegistry

    - #### getBinaryFactory

          public BinaryFactory getBinaryFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `binary` properties.
      Specified by:
        `getBinaryFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getBooleanFactory

          public ValueFactory<Boolean> getBooleanFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `boolean` properties.
      Specified by:
        `getBooleanFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getDateFactory

          public DateTimeFactory getDateFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `date` properties.
      Specified by:
        `getDateFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getDecimalFactory

          public ValueFactory<BigDecimal> getDecimalFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `decimal` properties.
      Specified by:
        `getDecimalFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getDoubleFactory

          public ValueFactory<Double> getDoubleFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `double` properties.
      Specified by:
        `getDoubleFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getLongFactory

          public ValueFactory<Long> getLongFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `long` properties.
      Specified by:
        `getLongFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getNameFactory

          public NameFactory getNameFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `name` properties.
      Specified by:
        `getNameFactory` in interface `NameFactory.Holder`
      Specified by:
        `getNameFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getPathFactory

          public PathFactory getPathFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `path` properties.
      Specified by:
        `getPathFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getReferenceFactory

          public ReferenceFactory getReferenceFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `reference` properties.
      Specified by:
        `getReferenceFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getWeakReferenceFactory

          public ReferenceFactory getWeakReferenceFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `reference` properties.
      Specified by:
        `getWeakReferenceFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getSimpleReferenceFactory

          public ReferenceFactory getSimpleReferenceFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `reference` properties.
      Specified by:
        `getSimpleReferenceFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getStringFactory

          public StringFactory getStringFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `string` properties.
      Specified by:
        `getStringFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getUriFactory

          public UriFactory getUriFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `URI` properties.
      Specified by:
        `getUriFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getUuidFactory

          public UuidFactory getUuidFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `UUID` properties.
      Specified by:
        `getUuidFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### getObjectFactory

          public ValueFactory<Object> getObjectFactory()

      Description copied from interface: `ValueFactories`
      Get the value factory for `object` properties.
      Specified by:
        `getObjectFactory` in interface `ValueFactories`
      Returns:
        the factory; never null

    - #### iterator

          public Iterator<ValueFactory<?>> iterator()

      This implementation always iterates over the instances return by the `get*Factory()` methods.

      Specified by:
        `iterator` in interface `Iterable<ValueFactory<?>>`

    - #### getValueFactory

          public ValueFactory<?> getValueFactory(PropertyType type)

      Description copied from interface: `ValueFactories`
      Get the value factory that creates values of the supplied `type`.
      Specified by:
        `getValueFactory` in interface `ValueFactories`
      Parameters:
        `type` - the type for the values
      Returns:
        the factory; never null

    - #### getValueFactory

          public ValueFactory<?> getValueFactory(Object prototype)

      Description copied from interface: `ValueFactories`
      Get the value factory that is best able to create values with the most natural type given by the supplied value.
      Specified by:
        `getValueFactory` in interface `ValueFactories`
      Parameters:
        `prototype` - the value that should be used to determine the best value factory
      Returns:
        the factory; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.